GlueGen: com.jogamp.gluegen.ConstantDefinition.CNumber Class Reference

GlueGen v2.6.0-rc-20250712 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Public Attributes | List of all members
com.jogamp.gluegen.ConstantDefinition.CNumber Class Reference

A Number, either integer, optionally [long, unsigned], or floating point, optionally [double]. More...

Collaboration diagram for com.jogamp.gluegen.ConstantDefinition.CNumber:

## Public Member Functions

| CNumber (final boolean isLong, final boolean isUnsigned, final long value)
| ctor for integer number More...
| CNumber (final boolean isDouble, final double value)
| ctor for floating point number More...
int | hashCode ()
boolean | equals (final Object arg)
final String | toJavaString ()
final String | toString ()

## Public Attributes

final boolean | isInteger
| `true` if number is integer and value stored in `i`, otherwise `false` for floating point and value stored in `f`. More...
final boolean | isLong
| `true` if number is a `long` `isInteger`. More...
final boolean | isUnsigned
| `true` if number is an `unsigned` `isInteger`. More...
final long | i
| The value if `isInteger`. More...
final boolean | isDouble
| `true` if number is a `double precision` `floating point`, i.e. More...
final double | f
| The value if !`isInteger`. More...

## Detailed Description

A Number, either integer, optionally [long, unsigned], or floating point, optionally [double].

Definition at line 62 of file ConstantDefinition.java.

## Constructor & Destructor Documentation

## ◆ CNumber() [1/2]

com.jogamp.gluegen.ConstantDefinition.CNumber.CNumber | ( | final boolean | isLong,
|  | final boolean | isUnsigned,
|  | final long | value
| ) |  |

ctor for integer number

Definition at line 81 of file ConstantDefinition.java.

Here is the caller graph for this function:

## ◆ CNumber() [2/2]

com.jogamp.gluegen.ConstantDefinition.CNumber.CNumber | ( | final boolean | isDouble,
|  | final double | value
| ) |  |

ctor for floating point number

Definition at line 90 of file ConstantDefinition.java.

## Member Function Documentation

## ◆ equals()

boolean com.jogamp.gluegen.ConstantDefinition.CNumber.equals | ( | final Object | arg | ) |

Definition at line 103 of file ConstantDefinition.java.

Here is the call graph for this function:

## ◆ hashCode()

int com.jogamp.gluegen.ConstantDefinition.CNumber.hashCode | ( |  | ) |

Definition at line 99 of file ConstantDefinition.java.

## ◆ toJavaString()

final String com.jogamp.gluegen.ConstantDefinition.CNumber.toJavaString | ( |  | ) |

Definition at line 113 of file ConstantDefinition.java.

Here is the caller graph for this function:

## ◆ toString()

final String com.jogamp.gluegen.ConstantDefinition.CNumber.toString | ( |  | ) |

Definition at line 133 of file ConstantDefinition.java.

## Member Data Documentation

## ◆ f

final double com.jogamp.gluegen.ConstantDefinition.CNumber.f

The value if !`isInteger`.

Definition at line 78 of file ConstantDefinition.java.

## ◆ i

final long com.jogamp.gluegen.ConstantDefinition.CNumber.i

The value if `isInteger`.

Definition at line 73 of file ConstantDefinition.java.

## ◆ isDouble

final boolean com.jogamp.gluegen.ConstantDefinition.CNumber.isDouble

`true` if number is a `double precision` `floating point`, i.e.

!`isInteger`.

Definition at line 76 of file ConstantDefinition.java.

## ◆ isInteger

final boolean com.jogamp.gluegen.ConstantDefinition.CNumber.isInteger

`true` if number is integer and value stored in `i`, otherwise `false` for floating point and value stored in `f`.

Definition at line 67 of file ConstantDefinition.java.

## ◆ isLong

final boolean com.jogamp.gluegen.ConstantDefinition.CNumber.isLong

`true` if number is a `long` `isInteger`.

Definition at line 69 of file ConstantDefinition.java.

## ◆ isUnsigned

final boolean com.jogamp.gluegen.ConstantDefinition.CNumber.isUnsigned

`true` if number is an `unsigned` `isInteger`.

Definition at line 71 of file ConstantDefinition.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/ConstantDefinition.java